<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <modelVersion>4.0.0</modelVersion>

    <groupId>${setup.groupId}</groupId>
    <artifactId>${setup.projectName}</artifactId>
    <version>${setup.version}</version>

    <packaging>jar</packaging>
    <name>${setup.projectName} data generation project</name>

    <dependencies>
        <dependency>
            <groupId>com.rapiddweller</groupId>
            <artifactId>rapiddweller-benerator-ce</artifactId>
            <version>${version.version}</version>
        </dependency>
        <dependency>
            <groupId>org.databene</groupId>
            <artifactId>dbsanity</artifactId>
            <version>${version.dependencies.dbsanity}</version>
        </dependency>
        <dependency>
            <groupId>com.rapiddweller</groupId>
            <artifactId>rd-lib-jdbacl</artifactId>
            <version>${version.dependencies.rd-lib-jdbacl}</version>
        </dependency>
        <dependency>
            <groupId>com.rapiddweller</groupId>
            <artifactId>rd-lib-format</artifactId>
            <version>${version.dependencies.format}</version>
        </dependency>
        <dependency>
            <groupId>com.rapiddweller</groupId>
            <artifactId>rd-lib-common</artifactId>
            <version>${version.dependencies.commons}</version>
        </dependency>
        <dependency>
            <groupId>com.rapiddweller</groupId>
            <artifactId>rd-lib-contiperf</artifactId>
            <version>${version.dependencies.contiperf}</version>
        </dependency>
    </dependencies>

    <build>

        <plugins>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <encoding>UTF-8</encoding>
                    <source>11</source>
                    <target>11</target>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.databene</groupId>
                <artifactId>maven-benerator-plugin</artifactId>
                <version>${version.version}</version>
                <configuration>
                    <descriptor>benerator.xml</descriptor>
                    <encoding>${setup.encoding}</encoding>
                    <validate>true</validate>
                    <dbUrl>${setup.dbUrl}</dbUrl>
                    <dbDriver>${setup.dbDriver}</dbDriver>
                    <dbSchema>${setup.dbSchema}</dbSchema>
                    <dbUser>${setup.dbUser}</dbUser>
                    <dbPassword>${setup.dbPassword}</dbPassword>
                </configuration>

                <dependencies>
                    <!-- Since Oracle's drivers are proprietary, you need to install them yourself.
                    You can download these at http://www.oracle.com/technology/software/tech/java/sqlj_jdbc/index.html
                    <dependency>
                        <groupId>com.oracle</groupId>
                        <artifactId>ojdbc6</artifactId>
                        <version>11.1.0.7</version>
                        <scope>provided</scope>
                    </dependency> -->

                    <!-- Since the DB2 driver is proprietary, you need to install it yourself.
                    You can download it at http://www-306.ibm.com/software/data/db2/java
                    <dependency>
                        <groupId>com.ibm</groupId>
                        <artifactId>db2jcc</artifactId>
                        <version>3.50.152</version>
                        <scope>provided</scope>
                    </dependency> -->

                    <dependency>
                        <groupId>net.sourceforge.jtds</groupId> <!-- MS SQL server and Sybase -->
                        <artifactId>jtds</artifactId>
                        <version>1.2.2</version>
                        <scope>runtime</scope>
                    </dependency>
                    <dependency>
                        <groupId>mysql</groupId>
                        <artifactId>mysql-connector-java</artifactId>
                        <version>5.1.6</version>
                        <scope>runtime</scope>
                    </dependency>
                    <dependency>
                        <groupId>hsqldb</groupId>
                        <artifactId>hsqldb</artifactId>
                        <version>1.8.0.7</version>
                        <scope>runtime</scope>
                    </dependency>
                    <dependency>
                        <groupId>com.h2database</groupId>
                        <artifactId>h2</artifactId>
                        <version>1.2.132</version>
                        <scope>provided</scope>
                    </dependency>
                    <dependency>
                        <groupId>org.apache.derby</groupId>
                        <artifactId>derbyclient</artifactId>
                        <version>10.4.2.0</version>
                        <scope>runtime</scope>
                    </dependency>
                    <dependency>
                        <groupId>net.sf.squirrel-sql.thirdparty-non-maven</groupId>
                        <artifactId>jaybird</artifactId>
                        <version>2.1.6</version>
                        <scope>provided</scope>
                    </dependency>
                    <dependency>
                        <groupId>postgresql</groupId>
                        <artifactId>postgresql</artifactId>
                        <version>8.3-603.jdbc4</version>
                        <scope>runtime</scope>
                    </dependency>

                    <dependency>
                        <groupId>org.apache.poi</groupId>
                        <artifactId>poi</artifactId>
                        <version>3.8</version>
                        <scope>runtime</scope>
                    </dependency>

                    <!-- logging -->
                    <dependency>
                        <groupId>org.slf4j</groupId>
                        <artifactId>slf4j-log4j12</artifactId>
                        <version>1.6.4</version>
                    </dependency>
                    <dependency>
                        <groupId>org.slf4j</groupId>
                        <artifactId>slf4j-log4j12</artifactId>
                        <version>1.6.4</version>
                        <scope>provided</scope>
                    </dependency>
                    <dependency>
                        <groupId>log4j</groupId>
                        <artifactId>log4j</artifactId>
                        <version>1.2.16</version>
                    </dependency>
                </dependencies>

            </plugin>

        </plugins>
    </build>

</project>
